;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; to use the emacs command defined in this file
;;; (1) M-x load-file; xor-and-br.el (this file)
;;; (2) C-u <a natural number to specify execution times> 
;;;     M-x <kbd macro name>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;; and -> linebreak
(fset 'andrt
   [?\C-s ?a ?n ?d ?\C-b ?\C-b ?\C-b ?\C-d ?\C-d ?\C-d return])
;;;C-s			;; isearch-forward
;;;and			;; self-insert-command * 3
;;;3*C-b			;; backward-char
;;;3*C-d			;; delete-char
;;;RET			;; newline

;;; xor -> newline
(fset 'xorrt
   [?\C-s ?x ?o ?r ?\C-b ?\C-b ?\C-b ?\C-d ?\C-d ?\C-d return return])
;;;C-s			;; isearch-forward
;;;xor			;; self-insert-command * 3
;;;3*C-b			;; backward-char
;;;3*C-d			;; delete-char
;;;2*RET			;; newline

;;; '...[...]...' -> '...[...]linebreak...'
(fset 'brrt
   (lambda (&optional arg) "Keyboard macro." (interactive "p") 
   (kmacro-exec-ring-item (quote ([19 91 2 return 134217734] 0 "%d")) arg)))
;;C-s			;; isearch-forward
;;[			;; self-insert-command
;;C-b			;; backward-char
;;RET			;; apropos-follow
;;M-C-f			;; forward-sexp

;;; get the Boolean exp following '(i'
(fset 'ifbl
   [?\C-s ?\( ?i ?\C-f return return ?\C-\M-f return return])
;;C-s			;; isearch-forward
;;(i			;; self-insert-command * 2
;;C-f			;; forward-char
;;2*RET			;; newline
;;M-C-f			;; forward-sexp
;;2*RET			;; newline

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; how to define kbd macros and use them
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;C-x ( runs the command kmacro-start-macro, which is an interactive
;;;autoloaded compiled Lisp function in `kmacro.el'.

;;;C-x ) runs the command kmacro-end-macro, which is an interactive
;;;autoloaded compiled Lisp function in `kmacro.el'.

;;;C-x e runs the command kmacro-end-and-call-macro, which is an
;;;interactive autoloaded compiled Lisp function in `kmacro.el'.

;;;C-x C-k n runs the command kmacro-name-last-macro, which is an
;;;interactive compiled Lisp function in `kmacro.el'.

;;;insert-kbd-macro is an interactive autoloaded compiled Lisp function
;;;in `macros.el'. <return> gets the last kbd macro.

;;;name-last-kbd-macro
;;;  Command: Assign a name to the last keyboard macro defined.
;;;  Properties: autoload

;;;edit-kbd-macro is an interactive autoloaded compiled Lisp function in
;;;`edmacro.el'.
;;;It is bound to C-x C-k e.
;;;At the prompt, type any key sequence which is bound to a keyboard macro.
;;;Or, type `C-x e' or RET to edit the last keyboard macro, `C-h l' to edit
;;;the last 300 keystrokes as a keyboard macro, or `M-x' to edit a macro by
;;;its command name.


